Skip to main content
GET
List construction phase plan resources

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
page
object

JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
scheme
sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
created_at,
-created_at
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id: Filter by ID
  • scheme: Filter by scheme ID. A scheme has at most one plan
  • organisation: Filter by the organisation that owns the scheme
  • pre_construction_information: Filter by the pack the plan was written from
  • principal_contractor: Filter by the Principal Contractor organisation

For more information on using named filters, see the docs

Response

A list of construction phase plan resources.

JSON API response object

data
object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included with a construction phase plan